Bug 1573071 - zsh completion file dropped from awscli
Summary: zsh completion file dropped from awscli
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: awscli
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-30 06:06 UTC by Jordan Metzmeier
Modified: 2019-05-28 20:05 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 20:05:21 UTC
Type: Bug


Attachments (Terms of Use)

Description Jordan Metzmeier 2018-04-30 06:06:34 UTC
Description of problem:

After upgrading to Fedora 28, the following is displayed when I open my terminal:

/usr/bin/which: no aws_zsh_completer.sh in (/home/jmetzmeier/.local/bin:/home/jmetzmeier/.gem/ruby/1.9.1/bin:/home/jmetzmeier/bin:/home/jmetzmeier/local/packer:/home/jmetzmeier/local/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/games:/usr/games:/sbin:/usr/local/sbin:/usr/sbin:/home/jmetzmeier/.rvm/bin:/home/jmetzmeier/prog/go/bin:/usr/share/zsh/site-functions)



Version-Release number of selected component (if applicable):

1.14.50-2.fc28


How reproducible:

Execute zsh with the "aws" plugin enabled for oh-my-zsh.


Actual results:

The completion file for zsh is not found.


Expected results:

The completion file for zsh exists.


Additional info:

I checked upstream and the file is still being shipped. I also checked the package changelog and there was no mention of dropping the file being intentional, so I assume this is a bug.

Comment 1 Kevin Fenzi 2018-05-03 03:42:39 UTC
Yeah, it's still shipped, but something seems odd with it. 

If you do: 

sudo mv /usr/share/zsh/site-functions/aws_zsh_completer.sh /usr/share/zsh/site-functions/_awscli

Does it start working (in a new shell)?

Comment 2 Jordan Metzmeier 2018-05-03 15:18:34 UTC
No, it does not. I looked at the code for the oh-my-zsh aws plugin and found that the following fixes it:

sudo chmod +x /usr/share/zsh/site-functions/aws_zsh_completer.sh

In order for oh-my-zsh to locate the file and source it, it uses the zsh `which` builtin, which only returns if +x is set.

I assume the execute flag was set in the version shipped in f27. This could have been an upstream change.

Comment 3 Kevin Fenzi 2018-05-03 16:25:20 UTC
Huh, nothing about that has changed recently in awscli package... perhaps it was a change in zsh?

In any case, can you try this scratch build and confirm it works:

https://koji.fedoraproject.org/koji/taskinfo?taskID=26752440

(as soon as it finishes)

Comment 4 Jordan Metzmeier 2018-05-03 18:24:59 UTC
A change in ZSH is possible. I downloaded the f27 awscli rpm and the file was not marked as executable in that version:

$ rpm -qp --dump ~/Downloads/awscli-1.11.133-1.fc27.noarch.rpm  | grep zsh
/usr/share/zsh/site-functions 0 1502636226 0000000000000000000000000000000000000000000000000000000000000000 040755 root root 0 0 0 X
/usr/share/zsh/site-functions/aws_zsh_completer.sh 1807 1502494740 c0149c0cf0b5628c85d160066e2c7ef32d4f5f1ffb72c20d5ef0120db4e4f7a5 0100644 root root 0 0 0 X


I will try the new build when it finishes.

Comment 5 Jordan Metzmeier 2018-05-03 20:29:17 UTC
I tested the new -3 rpm, but it does not resolve the issue.

Comment 6 Ben Cotton 2019-05-02 21:51:28 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Ben Cotton 2019-05-28 20:05:21 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.